Bug 842180 - Permission denied updating clamav-unofficial-sigs
Permission denied updating clamav-unofficial-sigs
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: clamav-unofficial-sigs (Show other bugs)
17
All Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Andrew Colin Kissa
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-22 17:06 EDT by Jan ONDREJ
Modified: 2012-08-24 23:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-24 23:02:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jan ONDREJ 2012-07-22 17:06:58 EDT
Description of problem:
Clamav-unofficial-sigs does not update their sigs, which can completelly disable clamav.

Version-Release number of selected component (if applicable):
clamav-unofficial-sigs-3.7.1-6.fc17.noarch
clamav-unofficial-sigs-3.7.1-5.fc16.noarch

How reproducible:
always on fc16 and fc17

Steps to Reproduce:
1. su - clamupdate -s /bin/bash
2. /usr/bin/clamav-unofficial-sigs.sh
  
Actual results:
chmod: changing permissions of `/var/lib/clamav-unofficial-sigs/gpg-key': Operation not permitted
curl: (23) Failed writing body (0 != 1762)

Could not download Sanesecurity public GPG key

Expected results:
Succesfull update.

Additional info:
Looks like permissions on /var/lib/clamav-unofficial-sigs/* are bad:

-bash-4.2$ ls -la /var/lib/clamav-unofficial-sigs/
total 36
drwxr-xr-x.  9 clamupdate clamupdate 4096 Jul 22 22:58 .
drwxr-xr-x. 65 root       root       4096 Jun 29 04:41 ..
drwxr-xr-x.  2 root       root       4096 Oct  4  2011 add-dbs
drwxr-xr-x.  2 root       root       4096 Oct  4  2011 configs
drwx------.  2 root       root       4096 Oct  4  2011 gpg-key
drwxr-xr-x.  2 clamupdate clamupdate 4096 Jan 13  2012 ham-test
drwxr-xr-x.  2 root       root       4096 Oct  4  2011 mbl-dbs
drwxr-xr-x.  2 root       root       4096 Oct  4  2011 si-dbs
drwxr-xr-x.  2 root       root       4096 Oct  4  2011 ss-dbs

Clamupdate user has no access to these directories, unable to read gpg keys, but also unable to update them.

These sigs are not updated and does not work for me. On some systems I have similar problem with /var/log/clamav-unofficial-sigs/*.log files.
Clamav on some systems complettely stopped working, because it can't load some broken or obsolete sigs.
Comment 1 Fedora Update System 2012-08-04 05:20:02 EDT
clamav-unofficial-sigs-3.7.1-7.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/clamav-unofficial-sigs-3.7.1-7.fc17
Comment 2 Fedora Update System 2012-08-04 05:22:35 EDT
clamav-unofficial-sigs-3.7.1-6.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/clamav-unofficial-sigs-3.7.1-6.fc16
Comment 3 Fedora Update System 2012-08-05 17:23:47 EDT
Package clamav-unofficial-sigs-3.7.1-7.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing clamav-unofficial-sigs-3.7.1-7.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-11490/clamav-unofficial-sigs-3.7.1-7.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-08-24 23:02:41 EDT
clamav-unofficial-sigs-3.7.1-6.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2012-08-24 23:04:10 EDT
clamav-unofficial-sigs-3.7.1-7.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.